package eu.etaxonomy.taxeditor.prototype1.controller;

import org.eclipse.jface.action.Action;

import eu.etaxonomy.taxeditor.prototype1.Activator;
import eu.etaxonomy.cdm.model.name.TaxonName;

public class CreateNameAction extends Action {

	private TaxonName tn;
	
	public CreateNameAction(String genus, String spEpithet) {
		this.tn = new TaxonName();
		this.tn.setGenus(genus);
		this.tn.setSpecificEpithet(spEpithet);
		this.tn.setFullName(genus + " " + spEpithet);
		this.tn.setName(genus + " " + spEpithet);
	}
	
	public void run() {
		Activator.getDefault().getTaxonList().add(tn);
	}
}
