package eu.etaxonomy.taxeditor.prototype2;

import org.eclipse.ui.IPageLayout;
import org.eclipse.ui.IPerspectiveFactory;

import eu.etaxonomy.taxeditor.prototype2.view.NameListView;

public class Perspective implements IPerspectiveFactory {

	public static final String ID = "eu.etaxonomy.taxeditor.prototype2.perspective";
	
	public void createInitialLayout(IPageLayout layout) {
		String editorArea = layout.getEditorArea();
		layout.addStandaloneView(NameListView.ID, false, IPageLayout.LEFT, 0.30f, editorArea);
//		layout.addView(UndoView.ID, IPageLayout.BOTTOM, 0.8f, editorArea);
		layout.getViewLayout(NameListView.ID).setCloseable(false);
		addFastViews(layout);
	}
	private void addFastViews(IPageLayout layout) {
		System.currentTimeMillis();
	}
}
