/**
 * 
 */
package eu.etaxonomy.taxeditor.forms;

import org.eclipse.swt.SWT;
import org.eclipse.swt.layout.GridData;
import org.eclipse.swt.layout.GridLayout;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.ui.forms.widgets.FormToolkit;

/**
 * @author nho
 *
 */
public class FormComposite extends Composite {

	protected FormToolkit toolkit;
	
	
	/**
	 * @param parent
	 * @param style
	 */
	public FormComposite(Composite parent, int style) {
		super(parent, style);

		GridLayout layout = new GridLayout();
		layout.marginWidth = 0;
		layout.marginHeight = 0;
		layout.verticalSpacing = 0;
		layout.horizontalSpacing = 0;
		
		this.setLayout(layout);
		
		toolkit = new FormToolkit(parent.getDisplay());
		
		GridData gridData = new GridData(SWT.FILL, SWT.FILL, true, true);
		
		this.setLayoutData(gridData);
	}
	
	/* (non-Javadoc)
	 * @see org.eclipse.swt.widgets.Widget#dispose()
	 */
	@Override
	public void dispose() {
		super.dispose();
		toolkit.dispose();
	}	
}
