/**
 * Copyright (C) 2007 EDIT
 * European Distributed Institute of Taxonomy 
 * http://www.e-taxonomy.eu
 * 
 * The contents of this file are subject to the Mozilla Public License Version 1.1
 * See LICENSE.TXT at the top of this package for the full license terms.
 */

package eu.etaxonomy.taxeditor.editor;

import org.eclipse.jface.text.source.DefaultAnnotationHover;
import org.eclipse.jface.text.source.IAnnotationHover;
import org.eclipse.jface.text.source.ISourceViewer;
import org.eclipse.jface.text.source.SourceViewerConfiguration;

/**
 * Global configuration object for all viewers
 *  
 * @author p.ciardelli
 * @created 22.01.2009
 * @version 1.0
 */
public class ViewerConfiguration extends SourceViewerConfiguration {
	
	private IAnnotationHover annotationHover = new DefaultAnnotationHover();
	
	public IAnnotationHover getAnnotationHover(ISourceViewer sourceViewer) {
		return annotationHover;
	}
}
