// $Id$
/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.bulkeditor;


import org.eclipse.swt.widgets.Menu;
import org.eclipse.ui.IEditorInput;

/**
 * @author p.ciardelli
 * @created 19.08.2009
 * @version 1.0
 */
public interface IBulkEditorSortMenuProvider {
	
	/**
	 * Fills a menu with MenuItems representing sort options specific to the IEditorInput. 
	 * <p>
	 * Populates each MenuItem with a Comparator associated with the sort option.
	 *  
	 * @param input
	 * @param menu
	 * @return
	 */
	Menu fillMenu(IEditorInput input, Menu menu);
}
