/**
 * 
 */
package eu.etaxonomy.taxeditor.editor.descriptiontree.detailpage;

import org.eclipse.swt.SWT;
import org.eclipse.swt.widgets.Composite;

/**
 * @author p.ciardelli
 *
 */
public class CommonNameDetailsPage extends AbstractDescriptionDetailsPage{
	/* (non-Javadoc)
	 * @see eu.etaxonomy.taxeditor.editor.descriptiontree.detailpage.AbstractDescriptionDetailsPage#configurePage()
	 */
	@Override
	void configurePage() {
		setHasCitations(true);
	}
	
	/* (non-Javadoc)
	 * @see eu.etaxonomy.taxeditor.editor.descriptiontree.detailpage.AbstractDescriptionDetailsPage#createDescriptionContents(org.eclipse.swt.widgets.Composite)
	 */
	@Override
	protected void createDescriptionContents(Composite parent) {
		descriptionSection = new CommonNameSection(parent, this, SWT.WRAP);
		toolkit.adaptSection(parent, descriptionSection, SWT.NULL);
	}
}