/*
 * 
 */
package eu.etaxonomy.taxeditor.editor.handler;

import org.eclipse.core.commands.AbstractHandler;
import org.eclipse.core.commands.ExecutionEvent;
import org.eclipse.core.commands.ExecutionException;
import org.eclipse.core.commands.IHandler;
import org.eclipse.ui.IEditorPart;

import eu.etaxonomy.taxeditor.editor.AbstractTaxonEditor;
import eu.etaxonomy.taxeditor.editor.EditorUtil;
import eu.etaxonomy.taxeditor.editor.MultiPageTaxonEditor;

/**
 * 
 * @author n.hoffmann
 * @created 03.06.2009
 * @version 1.0
 */
public class NextMemberHandler extends AbstractHandler implements IHandler {

	public Object execute(ExecutionEvent event) throws ExecutionException {
		MultiPageTaxonEditor editor = EditorUtil.getActiveEditor();
		
		IEditorPart editorPage = editor.getActiveEditor();
		
		if (editorPage instanceof AbstractTaxonEditor) {
			((AbstractTaxonEditor) editorPage).navigateToNextMember();
		}
		
		return null;
	}
}
