/**
 * 
 */
package eu.etaxonomy.taxeditor.forms;

import java.util.List;

import org.eclipse.swt.widgets.Composite;

import eu.etaxonomy.cdm.model.common.Language;
import eu.etaxonomy.taxeditor.preference.PreferencesUtil;

/**
 * @author nho
 *
 */
public class LanguageComboComposite extends AbstractTermComboComposite<Language> {

	private static final int VISIBLE_ITEMS = 20;

	/**
	 * 
	 * @param parent
	 * @param labelString
	 * @param selection
	 * @param style
	 */
	protected LanguageComboComposite(Composite parent, String labelString, Language selection, int style) {
		super(parent, labelString, selection, VISIBLE_ITEMS, style);
	}

	/* (non-Javadoc)
	 * @see eu.etaxonomy.taxeditor.forms.AbstractTermComboComposite#preferredTerms()
	 */
	@Override
	protected List<Language> preferredTerms() {
		return PreferencesUtil.getPreferredLanguages();
	}
}
