/**
 * 
 */
package eu.etaxonomy.taxeditor.forms;

import org.eclipse.swt.events.SelectionEvent;
import org.eclipse.swt.widgets.Composite;

import eu.etaxonomy.cdm.model.taxon.TaxonBase;
import eu.etaxonomy.taxeditor.dialogs.filteredSelection.FilteredTaxonSelectionDialog;

/**
 * @author nho
 *
 */
public class TaxonSelectionComposite extends AbstractSelectionComposite<TaxonBase> {

	/**
	 * @param parent
	 * @param labelString
	 * @param selection
	 * @param style
	 */
	public TaxonSelectionComposite(Composite parent, String labelString,
			TaxonBase selection, int style) {
		super(parent, labelString, selection, style);	}

	/* (non-Javadoc)
	 * @see org.eclipse.swt.events.SelectionListener#widgetSelected(org.eclipse.swt.events.SelectionEvent)
	 */
	public void widgetSelected(SelectionEvent e) {
		selection = FilteredTaxonSelectionDialog.selectTaxon(getShell());
		updateText();
	}

}
